{
    template:'${tmpl}',
    data:function(){
        return {
          formMetaData:[],
          toolbar:[],
        }
    },
    mounted:function(){
      setTimeout(()=>{
        this.fetchData();
      },1000);
    },
    created:function(){
      var bizCode=this.$router.history.current.query.bizCode;
      this.fetchMetaData(bizCode);
    },
    methods:{
      fetchMetaData(bizCode){
        var self=this;
        this.$root.getReq("/web/common/metaCtl/getUiConfig",{"biz":bizCode}).then(cfg=>{
           if(cfg){
             cfg.data.form.forEach(s=>{
               self.formMetaData.push(s);
             });
           }
        });
     },
      fetchData(){
        var self=this;
        var billCode=this.$router.history.current.query.billCode;
        this.groupName=this.$router.history.current.query.modelName.split(".")[0];
        this.modelName=this.$router.history.current.query.modelName.split(".")[1];
        var url=this.getUrl("findByCode");
        this.$root.showMask();
        this.$root.postReq(url,{code:billCode}).then(d=>{
          if(d && d.status==0){
            console.log(d.data);
            self.$refs.lnkform.setInitData(d.data);
            self.$root.hideMask();
          }
        });
      }
    },
    vname:"gsb_linkquery"
}
